size=10;
height=3;


module white(){
    color("white")cube([size,size,height]);
}
module black(){
    color("black")cube([size,size,height]);
}

module row_even(){
    for(column = [0 : 1 : 7]){
        translate([size*column,0,0])
        {
            if(column % 2 == 0) {
                black();
            }
            else {
                white();
            }
        }
    }
}

module row_odd(){
    for(column = [0 : 1 : 7]){
        translate([size*column,0,0])
        {
            if(column % 2 == 0) {
                white();
            }
            else {
                black();
            }
        }
    }
}

module chessboard(){
    for(row = [0 : 1 : 7]){
        translate([0,size*row,0])
        {
            if (row % 2 == 0) {
                row_even();
            }
            else {
                row_odd();
            }
        }
    }
}

module border(){
    color("lightgrey"){
        translate([0,0,-0.1]){
            hull(){
                cube([8*size,8*size,height]);
                translate([-size,-size,0])cube([10*size,10*size,height/3]);
            }
        }
    }
}

chessboard();
border();
