$fn=120;

size=10;
height=3;

module chessboard(){
    include <Schachbrett.scad>;
}

module rook(){
    translate([5,5,height]){
        include <Turm.scad>;
    }
}

module knight(){
    translate([5,5,height]){
        include <Springer.scad>;
    }
}

module bishop(){
    translate([5,5,height]){
        rotate([0,0,90]){
            scale([0.15,0.15,0.15]){
                include <Laeufer.scad>
            }
        }
    }
}

chessboard();

// Weiß
color("#FFFFFF"){
    rook();
    translate([7*size,0,0])rook();
    translate([size,0,0])knight();
    translate([6*size,0,0])knight();
    translate([2*size,0,0])bishop();
    translate([5*size,0,0])bishop();
}


// Schwarz
color("#000000"){
    translate([0,7*size,0])rook();
    translate([7*size,7*size,0])rook();
    translate([2*size,7*size,0])bishop();
    translate([5*size,7*size,0])bishop();    
}